--- old/usr/src/lib/fm/topo/libtopo/common/topo_fmri.c	2016-02-15 12:56:06.731592396 -0500
+++ new/usr/src/lib/fm/topo/libtopo/common/topo_fmri.c	2016-02-15 12:56:06.735254803 -0500
@@ -74,8 +74,7 @@
 static int
 set_error(topo_hdl_t *thp, int err, int *errp, char *method, nvlist_t *nvlp)
 {
-	if (nvlp != NULL)
-		nvlist_free(nvlp);
+	nvlist_free(nvlp);
 
 	topo_dprintf(thp, TOPO_DBG_ERR, "%s failed: %s\n", method,
 	    topo_strerror(err));
@@ -88,8 +87,7 @@
 static nvlist_t *
 set_nverror(topo_hdl_t *thp, int err, int *errp, char *method, nvlist_t *nvlp)
 {
-	if (nvlp != NULL)
-		nvlist_free(nvlp);
+	nvlist_free(nvlp);
 
 	topo_dprintf(thp, TOPO_DBG_ERR, "%s failed: %s\n", method,
 	    topo_strerror(err));
@@ -593,8 +591,7 @@
 	nvlist_free(in);
 
 	/* no return values */
-	if (out != NULL)
-		nvlist_free(out);
+	nvlist_free(out);
 
 	if (rv)
 		return (-1);
